#ifndef ADPAINTER_H
#define ADPAINTER_H

#include "basestruct.h"

#include <QPainter>
#include <QTransform>
#include <QPaintEvent>
#include <QPaintDevice>
#include <QBrush>
#include <QPen>
#include <QPixmap>
#include <QImage>
#include <QColor>
#include <QPoint>
#include <QDebug>

class adpainter
{
public:
    adpainter(int width, int height, int adpcellsize);
    void drawgrid();
    void drawcell(QPoint pnt);
    void clearcell(QPoint pnt);
    void clear();
    QPixmap * getPixmap();
    void drawAliens(Alien * al, AlienImages * pixmaps);//int xa, int ya);
    int AnimAlien, StepAlien;
private:
    QPixmap * buff;
    QPixmap * background;
    QPainter painter;
    QPen * pen;
    QBrush * brush;
    QVector<QPixmap> AlienPix;
    int cellsize;
};


#endif // ADPAINTER_H
